apiVersion: triggers.tekton.dev/v1alpha1
kind: EventListener
metadata:
  name: eventlistener-github-s2i
  namespace: {{ namespace }}
spec:
  serviceAccountName: {{ trigger_sa }}
  triggers:
  - name: github-listener
    interceptors:
    - github:
{% if has_github_secret | default(False) %}
        secretRef:
          secretName: github-secret
          secretKey: secretToken
{% endif %}
        eventTypes:
        - push
    - cel:
        filter: "body.repository.html_url.matches('s2i-')"
        overlays:
        - key: extensions.branch
          expression: "body.ref.split('/')[size(body.ref.split('/')) - 1]"
    bindings:
    - kind: TriggerBinding
      ref: github
    template:
      ref: s2i
